Lucene search

K
atlassian4c9d8c819d67BSERV-14162
HistoryJun 23, 2023 - 7:25 p.m.

Update Spring-Security used on Bitbucket to fix CVE-2023-20862

2023-06-2319:25:55
4c9d8c819d67
jira.atlassian.com
32
bitbucket
spring security
cve-2023-20862
upgrade
vulnerability

0.001 Low

EPSS

Percentile

28.6%

h3. Problem

All Bitbucket versions, excluding 8.11.x, use Spring Security 5.7.7 or older, leading to Security scans listing Bitbucket as vulnerable to [CVE-2023-20862|https://spring.io/security/cve-2023-20862].
h3. Environment

Any Bitbucket older than version 8.11.0
h3. Steps to Reproduce

Check what spring-security is installed in the system by running a {{find}} command:
{noformat}
find . -name spring-security*
{noformat}
h3. Expected Results
{noformat}
find . -name spring-security*
./atlassian-bitbucket-8.11.0/app/WEB-INF/lib/spring-security-web-5.7.8.jar
./atlassian-bitbucket-8.11.0/app/WEB-INF/lib/spring-security-config-5.7.8.jar
./atlassian-bitbucket-8.11.0/app/WEB-INF/lib/spring-security-crypto-5.7.8.jar
./atlassian-bitbucket-8.11.0/app/WEB-INF/lib/spring-security-core-5.7.8.jar
{noformat}
h3. Actual Results
{noformat}
find . -name spring-security*
./atlassian-bitbucket-8.7.4/app/WEB-INF/lib/spring-security-core-5.7.5.jar
./atlassian-bitbucket-8.7.4/app/WEB-INF/lib/spring-security-crypto-5.7.5.jar
./atlassian-bitbucket-8.7.4/app/WEB-INF/lib/spring-security-config-5.7.5.jar
./atlassian-bitbucket-8.7.4/app/WEB-INF/lib/spring-security-web-5.7.5.jar
./atlassian-bitbucket-8.8.5/app/WEB-INF/lib/spring-security-core-5.7.5.jar
./atlassian-bitbucket-8.8.5/app/WEB-INF/lib/spring-security-crypto-5.7.5.jar
./atlassian-bitbucket-8.8.5/app/WEB-INF/lib/spring-security-config-5.7.5.jar
./atlassian-bitbucket-8.8.5/app/WEB-INF/lib/spring-security-web-5.7.5.jar
./atlassian-bitbucket-8.9.2/app/WEB-INF/lib/spring-security-core-5.7.5.jar
./atlassian-bitbucket-8.9.2/app/WEB-INF/lib/spring-security-crypto-5.7.5.jar
./atlassian-bitbucket-8.9.2/app/WEB-INF/lib/spring-security-config-5.7.5.jar
./atlassian-bitbucket-8.9.2/app/WEB-INF/lib/spring-security-web-5.7.5.jar
./atlassian-bitbucket-8.10.2/app/WEB-INF/lib/spring-security-crypto-5.7.7.jar
./atlassian-bitbucket-8.10.2/app/WEB-INF/lib/spring-security-core-5.7.7.jar
./atlassian-bitbucket-8.10.2/app/WEB-INF/lib/spring-security-config-5.7.7.jar
./atlassian-bitbucket-8.10.2/app/WEB-INF/lib/spring-security-web-5.7.7.jar
{noformat}
h3. Workaround

The only workaround available would be to upgrade Bitbucket to version 8.11.x
h3. Notes